X2Go Bug report logs - #203
X2Go session not resumable after connection got disrupted

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Tue, 7 May 2013 12:48:02 UTC

Severity: normal

Found in version 0.4.0.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#203; Package pyhoca-gui. (Tue, 07 May 2013 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 07 May 2013 12:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: Waiting for keyboard to appear
Date: Tue, 7 May 2013 14:33:44 +0200
package: pyhoca-gui
Severity: normal
Version: 0.4.0.1

Under certain circumstances (which???) the connection is made, but the session cannot be started.


May  7 14:28:29 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:29 menea /usr/bin/x2golistmounts[4191]: db_getmounts called, session ID: dick-51-1367929691_stRTERMINAL_dp24; return value: 127.0.0.1
|/tmp/.x2go-dick/spool/C-dick-51-1367929691_stRTERMINAL_dp24| 127.0.0.1|/tmp/.x2go-dick/media/disk/_home_dick| 127.0.0.1|/tmp/.x2go-dick/mimebox/C
-dick-51-1367929691_stRTERMINAL_dp24|
May  7 14:28:30 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:34  /usr/bin/x2gosetkeyboard: last message repeated 4 times
May  7 14:28:34 menea /usr/bin/x2golistsessions[4313]: x2golistsessions has been called with no option
May  7 14:28:35 menea /usr/bin/x2golistmounts[4327]: db_getmounts called, session ID: dick-51-1367929691_stRTERMINAL_dp24; return value: 127.0.0.1
|/tmp/.x2go-dick/spool/C-dick-51-1367929691_stRTERMINAL_dp24| 127.0.0.1|/tmp/.x2go-dick/media/disk/_home_dick| 127.0.0.1|/tmp/.x2go-dick/mimebox/C
-dick-51-1367929691_stRTERMINAL_dp24|
May  7 14:28:35 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:40  /usr/bin/x2gosetkeyboard: last message repeated 4 times
May  7 14:28:40 menea /usr/bin/x2golistsessions[4382]: x2golistsessions has been called with no option
May  7 14:28:40 menea /usr/bin/x2golistmounts[4396]: db_getmounts called, session ID: dick-51-1367929691_stRTERMINAL_dp24; return value: 127.0.0.1
|/tmp/.x2go-dick/spool/C-dick-51-1367929691_stRTERMINAL_dp24| 127.0.0.1|/tmp/.x2go-dick/media/disk/_home_dick| 127.0.0.1|/tmp/.x2go-dick/mimebox/C
-dick-51-1367929691_stRTERMINAL_dp24|
May  7 14:28:40 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:42 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:42 menea postfix/smtpd[23561]: connect from menea.int.cvix.nl[127.0.0.1]
May  7 14:28:42 menea postfix/smtpd[23561]: disconnect from menea.int.cvix.nl[127.0.0.1]
May  7 14:28:43 menea /usr/bin/x2gosetkeyboard: Waiting for /home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/keyboard to appear
May  7 14:28:45  /usr/bin/x2gosetkeyboard: last message repeated 2 times


running as X2Go Agent

NXAGENT - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Agent running with pid '3729'.
Session: Starting session at 'Tue May  7 14:28:12 2013'.
Info: Proxy running in server mode with pid '3729'.
Info: Waiting for connection from 'localhost' on port '30004'.
Info: Accepted connection from '127.0.0.1'.
Info: Aborting the procedure due to signal '1'.
Error: Aborting session with 'Unable to open display 'nx/nx,options=/home/dick/.x2go/C-dick-51-1367929691_stRTERMINAL_dp24/options:51''.
Session: Aborting session at 'Tue May  7 14:29:12 2013'.
Session: Session aborted at 'Tue May  7 14:29:12 2013'.
session-C-dick-51-1367929691_stRTERMINAL_dp24.log (END)



Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Changed Bug title to 'X2Go session not resumable after connection got disrupted' from 'Waiting for keyboard to appear' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 14 May 2013 10:57:46 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#203; Package pyhoca-gui. (Fri, 17 Oct 2014 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Oct 2014 11:45:05 GMT) Full text and rfc822 format available.

Message #12 received at 203@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 203@bugs.x2go.org
Subject: Session resuming has been fixed in X2Go Server 4.0.1.18 and above
Date: Fri, 17 Oct 2014 11:42:00 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Hi,

there have been various reasons for non-resumable session in the past.  
I will close this (#203) bug for PyHoca-GUI, as I assume that it was  
actually server related. Please reopen this bug, if issues persist  
with PyHoca-GUI 0.5.0.0 (to be released soon).

Regards,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Digitale_PGP_Signatur (application/pgp-signature, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 203-submit@bugs.x2go.org. (Fri, 17 Oct 2014 11:45:06 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Fri, 17 Oct 2014 11:45:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 15 Nov 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:11:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.